Skip to main content
POST
/
assets
/
unlink
Unlink Assets
curl --request POST \
  --url https://api.catalogix.ai/v1/assets/unlink \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "store_uuid": "699ec31355208b213e56059a",
    "parent_code": "SKU001",
    "channel": "SMP",
    "asset_id": "e263183310aa0093381bf48a6d8540aa"
  }
]
'
{
  "status": {
    "code": 0,
    "message": "SUCCESS",
    "request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
  },
  "data": {
    "unlinked": 2,
    "failed": 0,
    "error_info": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

Pass the API token as a Bearer token in the Authorization header.

Headers

X-Request-Id
string

Optional trace ID

Body

application/json
store_uuid
string
required
Example:

"699ec31355208b213e56059a"

parent_code
string
required
Example:

"SKU001"

channel
string
required
Example:

"SMP"

asset_id
string

Specific asset to unlink; if omitted, unlinks all assets for the parent_code/channel

Response

Assets unlinked

status
object
data
object